import { MonacoEditorProps, monaco } from "@opencreaters/monaco-editor-react";
import { ReactElement } from 'react';
import '@codingame/monaco-editor-wrapper/features/typescriptContribution';
import '@codingame/monaco-editor-wrapper/features/jsonContribution';
import '@codingame/monaco-editor-wrapper/features/cssContribution';
import '@codingame/monaco-editor-wrapper/features/htmlContribution';
export declare const editorClassName: import("@stitches/core/types/styled-component").CssComponent<never, {}, {}, import("@stitches/core/types/css-util").CSS<{}, {}, import("@stitches/core/types/config").DefaultThemeMap, {}>>;
export declare const monacoStatusBar: import("@stitches/core/types/styled-component").CssComponent<never, {}, {}, import("@stitches/core/types/css-util").CSS<{}, {}, import("@stitches/core/types/config").DefaultThemeMap, {}>>;
interface MonacoProps extends MonacoEditorProps {
    onEditorMount?: (editor: monaco.editor.IStandaloneCodeEditor) => void;
    theme?: string;
}
declare function MonacoEditor(props: MonacoProps): ReactElement;
export default MonacoEditor;
